function $runCallbacks_5(){
  var $e0, e, handler, next, stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = $runCallbacks_5;
  while ($location_0[stackIndex] = 'AsyncLoader7.java:' + '43' , callbacksHead_5) {
    $location_0[stackIndex] = 'AsyncLoader7.java:' + '44' , handler = ($location_0[stackIndex] = 'GWT.java:' + '164' , sUncaughtExceptionHandler);
    next = ($location_0[stackIndex] = 'AsyncLoader7.java:' + '45' , callbacksHead_5);
    callbacksHead_5 = ($location_0[stackIndex] = 'AsyncLoader7.java:' + '46' , callbacksHead_5).next;
    ($location_0[stackIndex] = 'Cast.java:' + '117' , !($location_0[stackIndex] = 'AsyncLoader7.java:' + '47' , callbacksHead_5)) && ($location_0[stackIndex] = 'AsyncLoader7.java:' + '48' , callbacksTail_5 = null);
    if ($location_0[stackIndex] = 'Cast.java:' + '117' , !($location_0[stackIndex] = 'AsyncLoader7.java:' + '50' , handler)) {
      $onSuccess_5(($location_0[stackIndex] = 'AsyncLoader7.java:' + '51' , next).callback);
    }
     else {
      try {
        $onSuccess_5(($location_0[stackIndex] = 'AsyncLoader7.java:' + '54' , next).callback);
      }
       catch ($e0) {
        $e0 = caught_0(($location_0[stackIndex] = 'AsyncLoader7.java:' + '55' , $e0));
        $stackDepth_0 = stackIndex;
        if (instanceOf($e0, 11)) {
          e = $e0;
          $location_0[stackIndex] = 'LogImplBase.java:' + '295' , $clinit_22();
          $location_0[stackIndex] = 'Log.java:' + '285' , $fatal(($location_0[stackIndex] = 'Log.java:' + '285' , impl), 'Uncaught Exception:', ($location_0[stackIndex] = 'AsyncLoader7.java:' + '56' , e));
        }
         else 
          throw $location_0[stackIndex] = 'AsyncLoader7.java:' + '55' , $e0;
      }
    }
  }
  $stackDepth_0 = stackIndex - 1;
}

function AsyncLoader7_0(){
}

function onLoad_5(){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = onLoad_5;
  instance_8 = new ($location_0[stackIndex] = 'AsyncLoader7.java:' + '13' , AsyncLoader7_0);
  $fragmentHasLoaded(($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '269' , $clinit_56() , ($location_0[stackIndex] = 'AsyncLoader7.java:' + '14' , BROWSER_LOADER)), 7);
  !!($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '131' , $stats) && ($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '101' , $stats(($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '108' , $createStatsEvent('runCallbacks7', 'begin', -1, -1))));
  ($location_0[stackIndex] = 'AsyncLoader7.java:' + '16' , instance_8).runCallbacks();
  !!($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '131' , $stats) && ($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '101' , $stats(($location_0[stackIndex] = 'AsyncFragmentLoader.java:' + '108' , $createStatsEvent('runCallbacks7', 'end', -1, -1))));
  $stackDepth_0 = stackIndex - 1;
}

function AsyncLoader7(){
}

_ = AsyncLoader7_0.prototype = AsyncLoader7.prototype = new Object_0;
_.getClass$ = function getClass_153(){
  var stackIndex, returnTemp;
  $stack_0[stackIndex = ++$stackDepth_0] = getClass_153;
  returnTemp = ($location_0[stackIndex] = 'com.google.gwt.dev.jjs.ast.JProgram:' + '0' , Lcom_google_gwt_lang_asyncloaders_AsyncLoader7_2_classLit);
  $stackDepth_0 = stackIndex - 1;
  return returnTemp;
}
;
_.runCallbacks = function runCallbacks_5(){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = runCallbacks_5;
  $location_0[stackIndex] = 'AsyncLoader7.java:' + '42' , $runCallbacks_5();
  $stackDepth_0 = stackIndex - 1;
}
;
_.castableTypeMap$ = {};
var instance_17 = null;
function $onSuccess_5(this$static){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = $onSuccess_5;
  ($location_0[stackIndex] = 'Cast.java:' + '117' , !($location_0[stackIndex] = 'OpenTasksModule.java:' + '48' , instance_17)) && (instance_17 = new ($location_0[stackIndex] = 'OpenTasksModule.java:' + '49' , OpenTasksView_0));
  $provideWidget_6(($location_0[stackIndex] = 'OpenTasksModule.java:' + '51' , instance_17), this$static.val$callback);
  $stackDepth_0 = stackIndex - 1;
}

function $provideWidget_6(this$static, callback){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = $provideWidget_6;
  ($location_0[stackIndex] = 'OpenTasksView.java:' + '97' , this$static).panel = new MosaicPanel_1(new BorderLayout_0);
  ($location_0[stackIndex] = 'OpenTasksView.java:' + '99' , this$static).controller = dynamicCast(($location_0[stackIndex] = 'OpenTasksView.java:' + '99' , get_17(($location_0[stackIndex] = 'com.google.gwt.dev.jjs.ast.JProgram:' + '0' , Lcom_mvc4g_client_Controller_2_classLit))), 178);
  dynamicCast(($location_0[stackIndex] = 'OpenTasksView.java:' + '100' , get_17(($location_0[stackIndex] = 'com.google.gwt.dev.jjs.ast.JProgram:' + '0' , Lorg_jboss_bpm_console_client_ApplicationContext_2_classLit))), 232);
  $initialize_4(($location_0[stackIndex] = 'OpenTasksView.java:' + '102' , this$static));
  registerCommonActions(($location_0[stackIndex] = 'OpenTasksView.java:' + '104' , this$static).controller);
  $addView(($location_0[stackIndex] = 'OpenTasksView.java:' + '113' , this$static).controller, ID_30, this$static);
  $add_25(($location_0[stackIndex] = 'OpenTasksView.java:' + '117' , this$static).panel, this$static.taskList, new BorderLayoutData_2(($location_0[stackIndex] = 'BorderLayout.java:' + '199' , $clinit_824() , ($location_0[stackIndex] = 'OpenTasksView.java:' + '117' , CENTER_2))));
  $add_25(($location_0[stackIndex] = 'OpenTasksView.java:' + '118' , this$static).panel, this$static.detailsView, new BorderLayoutData_6(SOUTH_0));
  ($location_0[stackIndex] = 'OpenTasksView.java:' + '120' , callback).onSuccess(this$static.panel);
  $stackDepth_0 = stackIndex - 1;
}

function OpenTasksView_0(){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = OpenTasksView_0;
  $location_0[stackIndex] = 'OpenTasksView.java:' + '56' , $clinit_1104();
  this.dateFormat = new ($location_0[stackIndex] = 'OpenTasksView.java:' + '65' , SimpleDateFormat_0);
  $stackDepth_0 = stackIndex - 1;
}

_ = OpenTasksView_0.prototype = OpenTasksView.prototype;
_.getClass$ = function getClass_755(){
  var stackIndex, returnTemp;
  $stack_0[stackIndex = ++$stackDepth_0] = getClass_755;
  returnTemp = ($location_0[stackIndex] = 'com.google.gwt.dev.jjs.ast.JProgram:' + '0' , Lorg_jboss_bpm_console_client_task_OpenTasksView_2_classLit);
  $stackDepth_0 = stackIndex - 1;
  return returnTemp;
}
;
_.setLoading = function setLoading_3(isLoading){
  var stackIndex;
  $stack_0[stackIndex = ++$stackDepth_0] = setLoading_3;
  ($location_0[stackIndex] = 'UIObject.java:' + '219' , ($location_0[stackIndex] = 'UIObject.java:' + '529' , ($location_0[stackIndex] = 'OpenTasksView.java:' + '347' , this.panel).element).style).display != 'none' && on(($location_0[stackIndex] = 'OpenTasksView.java:' + '348' , this.taskList), isLoading);
  $stackDepth_0 = stackIndex - 1;
}
;
var Lcom_google_gwt_lang_asyncloaders_AsyncLoader7_2_classLit = createForClass('com.google.gwt.lang.asyncloaders.', 'AsyncLoader7');
$entry(onLoad_5)();
